EN
ID
1
Products

docking speaker with Bluetooth®

for iPod/iPhone/iPad DS3600/98

Frequently Asked Questions

What is the system requirement for the iOS App?

The App is supported in iPad, iPhone, iPod running iOS version from 4.3, not later than 10.

The information on this page applies to the following models: DS3600/98 , ORD7100R/00 , DS3205/98 , DS1400/98 , DS3480/98 , AJ5305D/12 , DS1155/98 , DS3100/98 , ORD7100C/00 , AJ5300D/98 , DS1200/98 , DS7700/98 , DS3500/98 , DS3010/98 , DS3020/98 , DS7510/98 , SBD7500/97 . more less

Not what you are looking for?